import { BaseService, Service } from '@/cool';

@Service('goods')
export class GoodsService extends BaseService {
	// 更新商品状态 b
	changeStatus(data) {
		return this.request({
			url: '/change-status',
			method: 'POST',
			data: data
		});
	}

	// 商品管理-涨价设置 b
	getAutoPrice(data) {
		return this.request({
			url: '/setting',
			params: data
		});
	}

	// 商品管理-更新涨价 b
	setAutoPrice(data) {
		return this.request({
			url: '/update-rise',
			method: 'POST',
			data: data
		});
	}

	// 商品-发送链接 b
	sendPhone(data) {
		return this.request({
			url: '/send-short-url',
			params: data
		});
	}
}

export default new GoodsService();
